#ifndef __ROCCAT_COLOR_MULTI_BUTTON_H__
#define __ROCCAT_COLOR_MULTI_BUTTON_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_color_button.h"

G_BEGIN_DECLS

#define ROCCAT_COLOR_MULTI_BUTTON_TYPE (roccat_color_multi_button_get_type())
#define ROCCAT_COLOR_MULTI_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), ROCCAT_COLOR_MULTI_BUTTON_TYPE, RoccatColorMultiButtonClass))
#define IS_ROCCAT_COLOR_MULTI_BUTTON_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), ROCCAT_COLOR_MULTI_BUTTON_TYPE))
#define ROCCAT_COLOR_MULTI_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ROCCAT_COLOR_MULTI_BUTTON_TYPE, RoccatColorMultiButton))
#define IS_ROCCAT_COLOR_MULTI_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ROCCAT_COLOR_MULTI_BUTTON_TYPE))

typedef struct _RoccatColorMultiButtonClass RoccatColorMultiButtonClass;
typedef struct _RoccatColorMultiButton RoccatColorMultiButton;
typedef struct _RoccatColorMultiButtonPrivate RoccatColorMultiButtonPrivate;

struct _RoccatColorMultiButtonClass {
	RoccatColorButtonClass parent_class;
	void(*value_changed)(RoccatColorMultiButton *scale);
};

struct _RoccatColorMultiButton {
	RoccatColorButton button;
	RoccatColorMultiButtonPrivate *priv;
};

GType roccat_color_multi_button_get_type(void);
GtkWidget *roccat_color_multi_button_new(GdkColor const *colors, size_t length);

gboolean roccat_color_multi_button_get_use_palette(RoccatColorMultiButton *color_multi_button);
void roccat_color_multi_button_set_use_palette(RoccatColorMultiButton *color_multi_button, gboolean use_fixed);

void roccat_color_multi_button_get_color(RoccatColorMultiButton *color_multi_button, GdkColor *color);
void roccat_color_multi_button_set_color(RoccatColorMultiButton *color_multi_button, GdkColor const *color);

gint roccat_color_multi_button_get_index(RoccatColorMultiButton const *color_multi_button);
void roccat_color_multi_button_set_index(RoccatColorMultiButton *color_multi_button, gint index);

G_END_DECLS

#endif
